deepspeed --master_port=12345 --num_gpus=1 ./finetune/main.py \
    --train \
    --cache_dir ~/.cache/huggingface/ \
    --dataset beavertails \
    --data_version original \
    --prompt_method  key_concepts_only,extract_separate,value,embed,gpt-4-1106 \
    --with_result False \
    --use_inferred True \
    --train_split train_all \
    --with_definition True \
    --max_new_tokens 512 \
    --model_name  mistralai/Mistral-7B-Instruct-v0.2 \
    --per_device_train_batch_size 8 \
    --per_device_eval_batch_size 1 \
    --max_seq_len 4096 \
    --learning_rate 1e-5 \
    --num_train_epochs 6 \
    --weight_decay 0 \
    --gradient_accumulation_steps 1 \
    --num_warmup_steps 50 \
    --dtype bf16 \
    --seed 2024 \
    --gradient_checkpointing \
    --zero_stage 0 \
    --lora_module_name "layers."\
    --lora_dim 8 \
    --print_loss \
    --print_every_n_step 10 \
    --deepspeed # > ../../logs/mistral_beavertails_only_concepts_without_result_train_all.log